> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List training-providers

> Retrieve a paginated list of training-providers.



## OpenAPI

````yaml /openapi-specs/poplee-training.yaml get /talent-training/api/v1/training-providers
openapi: 3.1.0
info:
  title: Lucca Training
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Training API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Trainings
    description: Trainings in catalog
  - name: Training-demands
    description: Requests for a training session for an employee.
  - name: Realized-trainings
    description: Past realized training sessions.
paths:
  /talent-training/api/v1/training-providers:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Trainings
      summary: List training-providers
      description: Retrieve a paginated list of training-providers.
      operationId: get-training-providers
      parameters:
        - $ref: '#/components/parameters/search'
        - $ref: '#/components/parameters/fields.root'
      responses:
        '200':
          description: List of training-providers successfully retrieved.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/v2.Collection'
                  - type: object
                    properties:
                      items:
                        type: array
                        maxItems: 100
                        items:
                          $ref: '#/components/schemas/v1.TrainingProvider'
              example:
                $ref: '#/components/examples/v2.get.training-providers.res'
        '400':
          $ref: '#/components/responses/Problem'
        '401':
          $ref: '#/components/responses/Problem'
        '500':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    search:
      name: search
      description: Find an object through a search query.
      in: query
      schema:
        type: string
        minLength: 1
    fields.root:
      name: fields.root
      in: query
      description: >
        Include the total number of items across all pages, as well as pointers
        to the previous and next pages.
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - prev
            - next
            - count
  schemas:
    v2.Collection:
      type: object
      properties:
        count:
          description: >
            Total number of items across all pages. You need to include
            ?fields.root=count to your request to retrieve this.
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        prev:
          description: |
            Cursor to the previous page. You need to include
            ?fields.root=prev in order to retrieve this.
          type:
            - string
            - 'null'
        next:
          description: |
            Cursor to the next page. You need to include
            ?fields.root=next in order to retrieve this.
          type:
            - string
            - 'null'
    v1.TrainingProvider:
      title: training-provider
      description: >-
        A training-provider is an organization or individual that offers
        educational or training. Examples include universities, training
        institutes, online platforms, and private educators.
      type: object
      additionalProperties: false
      properties:
        id:
          type: integer
          description: Unique identifier of the training-provider
          format: int32
          readOnly: true
        name:
          type: string
          description: Name of the training-provider
          minLength: 1
        websiteHref:
          description: Remote URL to a page presenting the training-provider.
          type: string
          format: uri
      example:
        id: 123
        name: Example
        websiteHref: https://www.example.org
  responses:
    Problem:
      description: Problem
      content:
        application/json:
          schema:
            type: object
            properties:
              Status:
                type: integer
                description: HTTP status code.
                example: 401
              Message:
                type: string
                description: Human readable error message.
                example: Unauthorized

````